from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRecycler(XInterface, Protocol):
    def trashContent(self, Properties: XCommandProcessor, Identifier: XContentIdentifier) -> None: ...
